BABYL OPTIONS:
Version: 5
Labels:
Note:   This is the header of an rmail file.
Note:   If you are seeing it in rmail,
Note:    it means the file has no messages in it.

1,,
Return-Path: <TRYG@SUWATSON.stanford.edu>
Received: from ufer.ZIB-Berlin.DE by quattro.ZIB-Berlin.DE (4.0/SMI-4.0/4.9.90)
	id AA04443; Fri, 25 Jan 91 20:14:47 +0100
Received: from unido.informatik.uni-dortmund.de by ufer.ZIB-Berlin.DE (4.0/SMI-4.0-MHS-6.0/13.11.90)
	id AA04356; Fri, 25 Jan 91 20:14:34 +0100
Received: from exunido.Informatik.Uni-Dortmund.DE 
	by unido.informatik.uni-dortmund.de with SMTP (UNIDO-2.0.3.e) via EUnet
	for [130.73.108.1]
	id AA13018; Fri, 25 Jan 91 07:34:04 GMT
Message-Id: <9101250732.AA07415@exunido.irb.informatik.uni-dortmund.de>
Received: by exunido.irb.informatik.uni-dortmund.de id AA07415 (bsmtp); Fri, 25 Jan 91 08:32:45 +0100
Received: by unido.bitnet from dearn.bitnet(mailer) with bsmtp;
Received: from WATSON.STANFORD.EDU by DEARN (Mailer R2.07) with BSMTP id 7300;
 Fri, 25 Jan 91 08:27:07 CET
Received: from SUWATSON by WATSON.STANFORD.EDU (Mailer R2.07) with BSMTP id
 2296; Thu, 24 Jan 91 23:11:33 PST
Received: from SUWATSON.stanford.edu by SUWATSON.stanford.edu (IBM VM SMTP
 R1.2.2MX) with BSMTP id 3144; Thu, 24 Jan 91 23:11:31 PST
Date: Thu, 24 Jan 91 23:11:19 PST
From: "Tryg Ager" <TRYG@SUWATSON.stanford.edu>
To: Melenk@sc.ZIB-Berlin.DE

*** EOOH ***
Return-Path: <TRYG@SUWATSON.stanford.edu>
Date: Thu, 24 Jan 91 23:11:19 PST
From: "Tryg Ager" <TRYG@SUWATSON.stanford.edu>
To: Melenk@sc.ZIB-Berlin.DE

% CMSFNS RED
%
% Created: 85/04/18 21:14:19 GMT
%
% Written by Tryg A. Ager
% IMSSS-Ventura Hall
% Stanford University
% Stanford CA 94305
%
% c. 1985 Stanford University
% Research supported by the IBM Corporation
%
% CMS interface functions are in this file

% first, a general purpose fn with a string argument

symbolic procedure CMS str;
  begin scalar tmp, upperstr;
   If not stringp str
      then return Errorprintf "The CMS function requires a string";
   % convert string to upper case
   tmp := string2list str;
   upperstr := for each X in tmp collect
                if X >= char lower a and X <= char lower z then
                   X := char A + (X - char lower a)
                else X;
   return callsvc202 list2string upperstr;
  end;

%  Smart interface to the CMS help system

%  this is just a skeleton -- more features can easily be added
%  Suggestions:
%    (1)  parse arguments more robustly -- (QUOTE X) => X, etc.
%    (2)  use "EXEC INFO ..." if user says "INFO ..."
%    (3)  test for nonzero return code and try something else or explain
%         problem to user
%    (4)  suggest alternate topics in certain cases
%    (5)  collect statistics to determine what is unclear to people

fexpr procedure Help L;
 if null L then
      CallSVC202 "HELP PSL MENU"
 else if null cdr L and memq( car L, '(PSL LISP)) then
      CallSVC202 "HELP PSL MENU"
 else if null cdr L and car L = 'CMS then
      CallSVC202 "HELP CMS MENU"
 else if null cdr L and car L = 'CP then
      CallSVC202 "HELP CP MENU"
 else if null cdr L and memq( car L, '(XEDIT, EDIT, EDITOR)) then
      CallSVC202 "HELP XEDIT MENU"
 else CallSVC202 bldmsg( "HELP %L",  L );
%  else If CUrrentScanTable!* = LISPScanTable!* then
%      PrintF( "%fSorry, try (HELP) or (HELP ""topic"") %n" );
%  else PrintF( "%fSorry, try HELP; pic"") %n" );

put( 'Fulist, 'CMSHELP, "EXEC INFO FULIST" );

lisp procedure HelpBreak; Help(PSL, BREAK);

%% kernel interfaces to these fns is in k370ex red


Fexpr Procedure COPYFILE Parms;
% If peek( user starting address ) < 16#26000 then
%    stderror "***** Not enough low user storage for COPYFILE";
%    else
  CallSvc202 bldmsg( "COPYFILE %l", parms );


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%  NOTE !!!!!!!!!                                              %%%%%%
%%%%%                                                              %%%%%%
%%%%%  If you write an svc call to a command which is actually     %%%%%%
%%%%%  an EXEC, remember that an embedded EXEC call requires the   %%%%%%
%%%%%  syntax"EXEC WHATEVER"   If the prefix EXEC is missing you   %%%%%%
%%%%%  get return code 3                                           %%%%%%
%%%%%                                                              %%%%%%
%%%%%  NOTE !!!!!!!!!                                              %%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Fexpr Procedure XEDIT parms;
  CallSvc202 bldmsg( "XEDIT %l", parms );

Fexpr Procedure X parms;
  CallSvc202 bldmsg( "XEDIT %l", parms );

Fexpr Procedure FULIST parms;
  CallSvc202 bldmsg( "FULIST %l", parms );

Fexpr Procedure FILELIST parms;
  CallSvc202 bldmsg( "EXEC FILELIST %l", parms );

Fexpr Procedure NOTE parms;
  CallSvc202 bldmsg( "EXEC NOTE %l", parms );

Fexpr Procedure NAMES parms;
  CallSvc202 bldmsg( "EXEC NAMES %l", parms );

Fexpr Procedure ERASE  parms;
  CallSvc202 bldmsg( "ERASE %l", parms );

Fexpr Procedure RENAME parms;
  CallSvc202 bldmsg( "RENAME %l", parms );

