%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File:         PU:NBIG.SL 
% Description:  
% Author:       
% Created:      
% Modified:     25 Jan 1984 1551-PST (Brian Beach) 
% Package:      Utilities 
%
% (c) Copyright 1984, Hewlett-Packard Company, all rights reserved.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Revisions:
%
% 1 Aug 1984 1034-PDT (Brian Beach)
%  Changed from .LAP file to .SL file.
% 25 Jan 1984 1551-PST (Brian Beach)
%   Added standard header.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

(load vector-fix nbig0)

(de floatdivide (x Y)
        (stderror "Floatdivide  should never be called"))

(de gcdn ( x y )
   (cond ((lessp y 0) (setq y (minus y))))
   (cond ((lessp x 0) (setq x (minus x))))
   (gcdn-aux  x y))

(de gcdn-aux ( x y ) % positive operands
   (cond ((eq 0 y) x)
     ((lessp x y) (gcdn-aux y x))
     (t (gcdn-aux y (remainder x y)))))
